| QxOrm 1.5.0 C++ Object Relational Mapping library

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Directories

- Class List
- Class Index
- Class Hierarchy
- Class Members

Static Public Member Functions | Private Slots | Private Member Functions | Static Private Member Functions | Private Attributes | Friends
qx::QxHttpSessionManager Class Reference
QxHttpServer : QxOrm library HTTP server (based on QxService module) : support SSL/TLS, persistent connection, deliver static files, REST API, etc...

qx::QxHttpSessionManager : HTTP session manager (https://www.qxorm.com/qxorm_en/manual.html#manual_998) More...

`#include <QxHttpSessionManager.h>`

Inheritance diagram for qx::QxHttpSessionManager:

List of all members.

## Static Public Member Functions
static qx::QxHttpSession_ptr | getSession (qx::QxHttpRequest &request, qx::QxHttpResponse &response, const QByteArray &cookieName=QByteArray("qx_session_id"), bool autoCreateSession=true)
static qx::QxHttpSession_ptr | createSession (qx::QxHttpRequest &request, qx::QxHttpResponse &response, const QByteArray &cookieName=QByteArray("qx_session_id"))
static void | removeSession (qx::QxHttpRequest &request, qx::QxHttpResponse &response, const QByteArray &cookieName=QByteArray("qx_session_id"))
## Private Slots
void | onCheckSessionTimeOut ()
## Private Member Functions
| QxHttpSessionManager ()
virtual | ~QxHttpSessionManager ()
## Static Private Member Functions
static void | deleteSession (qx::QxHttpSession *p)
## Private Attributes
std::unique_ptr < QxHttpSessionManagerImpl > | m_pImpl
| Private implementation idiom.
## Friends
class | qx::QxSingleton< QxHttpSessionManager >

## Detailed Description

qx::QxHttpSessionManager : HTTP session manager (https://www.qxorm.com/qxorm_en/manual.html#manual_998)

Definition at line 71 of file QxHttpSessionManager.h.

## Constructor & Destructor Documentation

qx::QxHttpSessionManager::QxHttpSessionManager | ( |  | ) | `[private]`

virtual qx::QxHttpSessionManager::~QxHttpSessionManager | ( |  | ) | `[private, virtual]`

## Member Function Documentation

static qx::QxHttpSession_ptr qx::QxHttpSessionManager::createSession | ( | qx::QxHttpRequest & | request,
|  | qx::QxHttpResponse & | response,
|  | const QByteArray & | cookieName = `QByteArray("qx_session_id")`
| ) |  | `[static]`

static void qx::QxHttpSessionManager::deleteSession | ( | qx::QxHttpSession * | p | ) | `[static, private]`

static qx::QxHttpSession_ptr qx::QxHttpSessionManager::getSession | ( | qx::QxHttpRequest & | request,
|  | qx::QxHttpResponse & | response,
|  | const QByteArray & | cookieName = `QByteArray("qx_session_id")`,
|  | bool | autoCreateSession = `true`
| ) |  | `[static]`

void qx::QxHttpSessionManager::onCheckSessionTimeOut | ( |  | ) | `[private, slot]`

static void qx::QxHttpSessionManager::removeSession | ( | qx::QxHttpRequest & | request,
|  | qx::QxHttpResponse & | response,
|  | const QByteArray & | cookieName = `QByteArray("qx_session_id")`
| ) |  | `[static]`

## Friends And Related Function Documentation

friend class qx::QxSingleton< QxHttpSessionManager >`[friend]`

Definition at line 75 of file QxHttpSessionManager.h.

## Member Data Documentation

std::unique_ptr<QxHttpSessionManagerImpl> qx::QxHttpSessionManager::m_pImpl`[private]`

Private implementation idiom.

Definition at line 79 of file QxHttpSessionManager.h.

The documentation for this class was generated from the following file:

- C:/Dev/_Perso/QxOrm/include/QxHttpServer/QxHttpSessionManager.h